# coding:utf-8

'''
在此定义辅助函数
'''

import hashlib

#################################################
# 获取一个Md5的字符串
#################################################
def getMd5String(data):
    m = hashlib.md5()
    b = data.encode(encoding='utf-8')
    m.update(b)
    str_md5 = m.hexdigest()
    return str_md5

#################################################
# 获取签名，传入一个map,
# （需要对传入的参数，按照key的升序排列）
#################################################
def getSignature(data,postData={}):
    sMd5 = ""
    if len(postData) == 0:
        keys = sorted(data.keys())
        s = ""
        for key in keys:
            s = s + key + "[" + str(data[key]) + "];"
        sMd5 = getMd5String(s)
    else:
        data["Data"] = postData
        keys = sorted(data.keys())
        s = ""
        for key in keys:
            s = s + key + "[" + str(data[key]) + "];"
        sMd5 = getMd5String(s)
    return sMd5




if __name__ == "__main__":
    print(getSignature({"a":123,"b":"abc"}))
    print(getSignature({"sid": "6d7b97627f4e4b8196a2e49731978b65", "ts": 1590397597, "uid": "bb4d91ccc1f6461daec7a0daf1c8e8f2"}))


